OVF metadata for Ubuntu is wrong

Bug #1656293 reported by Chris Glass on 2017-01-13
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cloud-images
Low
Chris Glass
livecd-rootfs (Ubuntu)
Low
Unassigned
Trusty
Low
Unassigned
Xenial
Low
Unassigned
Yakkety
Low
Unassigned

Bug Description

[Impact]

* Ubuntu images are identified generically as 32- or 64-bit Linux with a 2.6 kernel rather than Ubuntu 32-/64-bit images. Tools that consume the images can not perform OS-specific actions based on the current metadata.

[Test Case]

$ apt-get install virtualbox

$ wget http://cloud-images.ubuntu.com/xenial/current/xenial-server-cloudimg-amd64.ova

$ vboxmanage import --dry-run xenial-server-cloudimg-amd64.ova
...
Virtual system 0:
 0: Suggested OS type: "Linux26_64"
    (change with "--vsys 0 --ostype <type>"; use "list ostypes" to list all possible values)
...

We would expect the following after the fix:
Virtual system 0:
 0: Suggested OS type: "Ubuntu_64"

[Regression Potential]

 * Low: A user downloads the image with the change and checks the OS type field to see that Ubuntu is a marked as a generic 2.6 kernel Linux image and now we will have changed "Linux26_*" to "Ubuntu_*".

[Original Description]
The OVF files produced by cloud-images currently contain:

<OperatingSystemSection ovf:id="100" vmw:osType="other3xLinux64Guest">
      <Info>The kind of installed guest operating system</Info>
</OperatingSystemSection>

The OVF specification has entries for Ubuntu, and that usually allows client machines to customize the host using whatever their method is.

The specific entries for Ubuntu 64 bits are:
- ovf:id: 94
- ovf:osType: ubuntu64Guest

The specific entries for Ubuntu 32 bits are:
- ovf:id: 93
- ovf:osType: ubuntu32Guest

Related branches

Chris Glass (tribaal) on 2017-01-13
Changed in cloud-images:
status: New → In Progress
importance: Undecided → Low
Robert C Jennings (rcj) on 2017-03-21
description: updated
Brian Murray (brian-murray) wrote :

This bug is missing an Ubuntu package task which is necessary for the Stable Release Update process.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package livecd-rootfs - 2.440

---------------
livecd-rootfs (2.440) zesty; urgency=medium

  [ Steve Langasek ]
  * live-build/ubuntu-cpc/functions: don't call sleep as part of
    umount_settle; udevadm settle is synchronous and there's no reason to
    sleep after it.
  * live-build/ubuntu-cpc/functions: umount_partition: don't call
    umount_settle for each submount; just unmount them one by one and
    settle at the end.
  * Support passing IMAGE_TARGETS in the environment, to limit which images
    are output as part of a build; particularly useful for ubuntu-cpc builds
    which output multiple image types.

  [ Nishanth Aravamudan ]
  * live-build/ubuntu-cpc/hooks/061-open-iscsi.chroot: generate iSCSI
    Initiator Name at first iscsid run for cloud images to ensure it is
    unique (LP: #1444992).

  [ Brian Murray ]
  * Fix the OVF's metadata to include Ubuntu specific identifiers and
    descriptions instead of the generic Linux ones. Thanks to Chris Glass.
    (LP: #1656293)
  * Add replace_grub_root_with_label function thereby consolidating multiple
    uses of the same calls to sed. Thanks to Dan Watkins.

  [ Adam Conrad ]
  * Set device_tree_address for the new kernel in the RPi bootloader config.txt

 -- Adam Conrad <email address hidden> Thu, 23 Mar 2017 11:39:22 -0600

Changed in livecd-rootfs (Ubuntu):
status: New → Fix Released

Hello Chris, or anyone else affected,

Accepted livecd-rootfs into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/livecd-rootfs/2.435.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in livecd-rootfs (Ubuntu Yakkety):
status: New → Fix Committed
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Hello Chris, or anyone else affected,

Accepted livecd-rootfs into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/livecd-rootfs/2.408.9 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in livecd-rootfs (Ubuntu Xenial):
status: New → Fix Committed
Changed in livecd-rootfs (Ubuntu):
importance: Undecided → Low
Changed in livecd-rootfs (Ubuntu Xenial):
importance: Undecided → Low
Changed in livecd-rootfs (Ubuntu Yakkety):
importance: Undecided → Low
Robert C Jennings (rcj) wrote :

Marking as verification complete after verifying that the images are now identified as Ubuntu rather than generic Linux26.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package livecd-rootfs - 2.408.9

---------------
livecd-rootfs (2.408.9) xenial; urgency=medium

  [ Daniel Watkins ]
  * Don't overwrite the default sources.list in cloud images.
  * Replace sources.list generated using COMPONENTS with the sources.list from
    an Ubuntu Server installation (i.e. with all components enabled, and all
    deb-src lines commented). LP: #1513529.

  [ Chris Glass ]
  * Fix the manifest generation in OVA files so that ovf files don't have
    double extensions. (LP: #1627931)
  * Fix the OVF's metadata to include Ubuntu specific identifiers and
    descriptions instead of the generic Linux ones. (LP: #1656293)

  [ Daniel Watkins ]
  * Add replace_grub_root_with_label function thereby consolidating multiple
    uses of the same calls to sed.

  [ Robert C Jennings ]
  * ubuntu-cpc: Remove redundant copy of grub files. (LP: #1637290)

 -- Robert C Jennings <email address hidden> Thu, 23 Mar 2017 14:40:59 -0400

Changed in livecd-rootfs (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for livecd-rootfs has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package livecd-rootfs - 2.435.2

---------------
livecd-rootfs (2.435.2) yakkety; urgency=medium

  [ Chris Glass ]
  * Fix the manifest generation in OVA files so that ovf files don't have
    double extensions. (LP: #1627931)
  * Fix the OVF's metadata to include Ubuntu specific identifiers and
    descriptions instead of the generic Linux ones. (LP: #1656293)
  [ Daniel Watkins ]
  * Add replace_grub_root_with_label function thereby consolidating multiple
    uses of the same calls to sed.

 -- Robert C Jennings <email address hidden> Fri, 17 Mar 2017 13:46:47 -0500

Changed in livecd-rootfs (Ubuntu Yakkety):
status: Fix Committed → Fix Released
tags: added: id-587c9d1faefa1389c5543492
tags: added: id-5878c9543d41ce4c6dcad888
Chris Glass (tribaal) on 2018-03-07
Changed in cloud-images:
status: In Progress → Fix Released
Mathew Hodson (mathew-hodson) wrote :

Fixed in Trusty
---

livecd-rootfs (2.208.14) trusty; urgency=medium

  [ Robert C. Jennings ]
  * Add ubuntu-cpc project (LP: #1693018)

[...]

    [ Chris Glass ]
    * Fix the manifest generation in OVA files so that ovf files don't have
      double extensions.
    * Fix the OVF's metadata to include Ubuntu specific identifiers and
      descriptions instead of the generic Linux ones.

Changed in livecd-rootfs (Ubuntu Trusty):
importance: Undecided → Low
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers